from .AbstractBeamParser import AbstractBeamParser

class ConfidentParser(AbstractBeamParser):

    # None => all agree / 0 => no treshold
    confidence_treshold = None

    @staticmethod
    def polish(output):
        candidates = [(heads, 1) for heads, _ in output]
        treshold = len(candidates) if self.confidence_treshold is None else self.confidence_treshold
        from .mst import maximum_spanning_tree
        return maximum_spanning_tree(candidates, treshold=treshold)
