from .AbstractParser import AbstractParser

class VoteParser(AbstractParser):
    def __init__(self, *a, parts=[], **kw):
        self.parts = list(parts)
        super().__init__(*a, **kw)

    def _defaultmodel(self, *a, **kw):
        from classifier.vote import VoteClassifier
        return VoteClassifier(*((p.model,w) for p,w in self.parts))
