def stats(label, array):
    import math
    mean = sum(array)/len(array) if array else 0
    square = sum(x*x for x in array)/len(array) if array else 0
    stddev = math.sqrt(square-mean*mean)
    print("{} = {:.2f} ±{:.2f} ({}: {}->{})".format(label,mean,stddev,len(array),min(array),max(array)))

def stats_middle(label, array):
    array.sort()
    array = array[int(len(array)/4):int(len(array)*3/4)]
    stats(label, array)
